Subject: Re: [PATCHv2 net] sctp: return back transport in __sctp_rcv_init_lookup

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Mon, 31 Oct 2016 08:51:55 -0200

On Mon, Oct 31, 2016 at 12:42:35AM +0800, Xin Long wrote:
> Prior to this patch, it used a local variable to save the transport that is
> looked up by __sctp_lookup_association(), and didn't return it back. But in
> sctp_rcv, it is used to initialize chunk->transport. So when hitting this,
> even if it found the transport, it was still initializing chunk->transport
> with null instead.
> 
> This patch is to return the transport back through transport pointer
> that is from __sctp_rcv_lookup_harder().
> 
> Signed-off-by: Xin Long <[email-masked]>
> ---

Patch looks good now but you have to either repost the entire series
altogether, or repost the series to remove this patch from it.

  Marcelo